searchNodes=[{"doc":"Functions not specific to any particular model in the Notion API. Such as search.","ref":"ThinNotionApi.html","title":"ThinNotionApi","type":"module"},{"doc":"Searches all pages and child pages that are shared with the integration. The results may include databases. The query parameter matches against the page titles. If the query parameter is not provided, the response will contain all pages (and child pages) in the results. The filter parameter can be used to query specifically for only pages or only databases. The response may contain fewer than page_size of results. See Pagination for details about how to use a cursor to iterate through the list. Examples iex&gt; ThinNotionApi . search ( %{ query : &quot;test&quot; , page_size : 10 } ) { :ok , %{ ... } }","ref":"ThinNotionApi.html#search/1","title":"ThinNotionApi.search/1","type":"function"},{"doc":"This module contains functions to interact and modify Notion blocks. A block object represents content within Notion. Blocks can be text, lists, media, and more.","ref":"ThinNotionApi.Blocks.html","title":"ThinNotionApi.Blocks","type":"module"},{"doc":"Creates and appends new children blocks to the parent block_id specified. Returns a paginated list of newly created first level children block objects. Examples: iex&gt; ThinNotionApi.Blocks . append_block_children ( &quot;c4c027f4ea7c41c5908d63a7f5a9c32c&quot; , [ %{ object : &quot;block&quot; , type : &quot;paragraph&quot; , paragraph : %{ text : [ %{ type : &quot;text&quot; , text : %{ content : &quot;Testing for append_block_children&quot; , } } ] } } ] ) { :ok , %{ ... } }","ref":"ThinNotionApi.Blocks.html#append_block_children/2","title":"ThinNotionApi.Blocks.append_block_children/2","type":"function"},{"doc":"Sets a Block object, including page blocks, to archived: true using the ID specified. Note: in the Notion UI application, this moves the block to the &quot;Trash&quot; where it can still be accessed and restored. To restore the block with the API, use the Update a block or Update page respectively. Examples: iex&gt; ThinNotionApi.Blocks . delete_block ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Blocks.html#delete_block/1","title":"ThinNotionApi.Blocks.delete_block/1","type":"function"},{"doc":"Retrieves a Block object using the ID specified. Examples: iex&gt; ThinNotionApi.Blocks . retrieve_block ( block_id ) { :ok , %{ ... } }","ref":"ThinNotionApi.Blocks.html#retrieve_block/1","title":"ThinNotionApi.Blocks.retrieve_block/1","type":"function"},{"doc":"Returns a paginated array of child block objects contained in the block using the ID specified. In order to receive a complete representation of a block, you may need to recursively retrieve the block children of child blocks. 🚧 Returns only the first level of children for the specified block. See block objects for more detail on determining if that block has nested children. The response may contain fewer than page_size of results. See Pagination for details about how to use a cursor to iterate through the list. Examples: iex&gt; ThinNotionApi.Blocks . retrieve_block_children ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Blocks.html#retrieve_block_children/2","title":"ThinNotionApi.Blocks.retrieve_block_children/2","type":"function"},{"doc":"Updates the content for the specified block_id based on the block type. Supported fields based on the block object type (see Block object for available fields and the expected input for each field). Note: The update replaces the entire value for a given field. If a field is omitted (ex: omitting checked when updating a to_do block), the value will not be changed. Examples: iex&gt; ThinNotionApi.Blocks . update_block ( &quot;c4c027f4ea7c41c5908d63a7f5a9c32c&quot; , %{ paragraph : %{ text : [ %{ type : &quot;text&quot; , text : %{ content : &quot;Hello DOGE!&quot; , } } ] , } } ) { :ok , %{ ... } }","ref":"ThinNotionApi.Blocks.html#update_block/2","title":"ThinNotionApi.Blocks.update_block/2","type":"function"},{"doc":"Module for interacting with the Notion Databases.","ref":"ThinNotionApi.Databases.html","title":"ThinNotionApi.Databases","type":"module"},{"doc":"Gets a list of Pages contained in the database, filtered and ordered according to the filter conditions and sort criteria provided in the request. The response may contain fewer than page_size of results. Examples: iex&gt; ThinNotionApi.Databases . create_database! ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; , &quot;New Database&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Databases.html#create_database!/3","title":"ThinNotionApi.Databases.create_database!/3","type":"function"},{"doc":"Gets a list of Pages contained in the database, filtered and ordered according to the filter conditions and sort criteria provided in the request. The response may contain fewer than page_size of results. Examples: iex&gt; ThinNotionApi.Databases . query_database ( database_id ) { :ok , %{ ... } } iex&gt; ThinNotionApi.Databases . query_database ( &quot;a4ef92b2a7984bae82114817678cd2f4&quot; , %{ &quot;page_size&quot; =&gt; 1 } ) { :ok , %{ ... } }","ref":"ThinNotionApi.Databases.html#query_database/2","title":"ThinNotionApi.Databases.query_database/2","type":"function"},{"doc":"Retrieves a Database object using the ID specified. Examples iex&gt; ThinNotionApi.Databases . retrieve_database ( database_id ) { :ok , %{ ... } }","ref":"ThinNotionApi.Databases.html#retrieve_database/1","title":"ThinNotionApi.Databases.retrieve_database/1","type":"function"},{"doc":"Updates an existing database as specified by the parameters. Examples: iex&gt; ThinNotionApi.Databases . update_database! ( database_id , &quot;New New Database Name&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Databases.html#update_database!/3","title":"ThinNotionApi.Databases.update_database!/3","type":"function"},{"doc":"Module for interacting with the Notion pages.","ref":"ThinNotionApi.Pages.html","title":"ThinNotionApi.Pages","type":"module"},{"doc":"Create a page with a page or database as its parent type. If the parent is a database, the property values of the new page in the properties parameter must conform to the parent database's property schema. If the parent is a page, the only valid property is title. When creating a Database you must specify a title property. Examples: iex&gt; ThinNotionApi.Pages . create_page ( :page , &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ ... } } iex&gt; ThinNotionApi.Pages . create_page ( :database , &quot;ee90be7f3fd14fd5961ef4203c7d9a81&quot; , %{ &quot;title&quot; : %{ &quot;title&quot; : [ %{ &quot;type&quot; : &quot;text&quot; , &quot;text&quot; : %{ &quot;content&quot; : &quot;Create Page Database&quot; } } ] } } ) { :ok , %{ ... } }","ref":"ThinNotionApi.Pages.html#create_page/4","title":"ThinNotionApi.Pages.create_page/4","type":"function"},{"doc":"Retrieves a Page object using the ID specified. Responses contains page properties, not page content. To fetch page content, use the retrieve block children endpoint. Examples: iex&gt; ThinNotionApi.Pages . retrieve_page ( &quot;9b4a624d5a18482ab2187e54166edda7&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Pages.html#retrieve_page/1","title":"ThinNotionApi.Pages.retrieve_page/1","type":"function"},{"doc":"Retrieves a property_item object for a given page_id and property_id. Depending on the property type, the object returned will either be a value or a paginated list of property item values. Examples: iex&gt; ThinNotionApi.Pages . retrieve_page_property_item ( &quot;c8445875c2cc424eb9eacba94cac667d&quot; , &quot;title&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Pages.html#retrieve_page_property_item/3","title":"ThinNotionApi.Pages.retrieve_page_property_item/3","type":"function"},{"doc":"Update a pages properties or archive (delete) it. Properties that are not set via the properties parameter will remain unchanged. If the parent is a database, the new property values in the properties parameter must conform to the parent database's property schema. This endpoint is for updating page properties, not page content. To fetch page content, use the retrieve block children endpoint. To append page content, use the append block children endpoint. Examples: iex&gt; ThinNotionApi.Pages . update_page ( &quot;c8445875c2cc424eb9eacba94cac667d&quot; , properties , false ) { :ok , %{ ... } }","ref":"ThinNotionApi.Pages.html#update_page/3","title":"ThinNotionApi.Pages.update_page/3","type":"function"},{"doc":"Defines the options for the database query API.","ref":"ThinNotionApi.Types.DatabaseQueryParams.html","title":"ThinNotionApi.Types.DatabaseQueryParams","type":"module"},{"doc":"Parameters for using the database query API.","ref":"ThinNotionApi.Types.DatabaseQueryParams.html#t:t/0","title":"ThinNotionApi.Types.DatabaseQueryParams.t/0","type":"type"},{"doc":"Defines the options for the sorting the database query results","ref":"ThinNotionApi.Types.DatabaseQuerySortParams.html","title":"ThinNotionApi.Types.DatabaseQuerySortParams","type":"module"},{"doc":"Parameter options for the sorting the database query results","ref":"ThinNotionApi.Types.DatabaseQuerySortParams.html#t:t/0","title":"ThinNotionApi.Types.DatabaseQuerySortParams.t/0","type":"type"},{"doc":"Defines parameters for pagination.","ref":"ThinNotionApi.Types.PaginationParams.html","title":"ThinNotionApi.Types.PaginationParams","type":"module"},{"doc":"Parameters for pagination.","ref":"ThinNotionApi.Types.PaginationParams.html#t:t/0","title":"ThinNotionApi.Types.PaginationParams.t/0","type":"type"},{"doc":"Defines the response types for the API.","ref":"ThinNotionApi.Types.Response.html","title":"ThinNotionApi.Types.Response","type":"module"},{"doc":"Response from the API, can either be a success or an error.","ref":"ThinNotionApi.Types.Response.html#t:t/0","title":"ThinNotionApi.Types.Response.t/0","type":"type"},{"doc":"Defines the options for the filtering search results","ref":"ThinNotionApi.Types.SearchFilterParams.html","title":"ThinNotionApi.Types.SearchFilterParams","type":"module"},{"doc":"Parameters for the filtering search results.","ref":"ThinNotionApi.Types.SearchFilterParams.html#t:t/0","title":"ThinNotionApi.Types.SearchFilterParams.t/0","type":"type"},{"doc":"Defines parameters for using the search API.","ref":"ThinNotionApi.Types.SearchParams.html","title":"ThinNotionApi.Types.SearchParams","type":"module"},{"doc":"Parameters for using the search API.","ref":"ThinNotionApi.Types.SearchParams.html#t:t/0","title":"ThinNotionApi.Types.SearchParams.t/0","type":"type"},{"doc":"Defines the options for the sorting the search results","ref":"ThinNotionApi.Types.SearchSortParams.html","title":"ThinNotionApi.Types.SearchSortParams","type":"module"},{"doc":"Parameter options for the sorting the search results","ref":"ThinNotionApi.Types.SearchSortParams.html#t:t/0","title":"ThinNotionApi.Types.SearchSortParams.t/0","type":"type"},{"doc":"This module contains functions to interact and modify Notion users.","ref":"ThinNotionApi.Users.html","title":"ThinNotionApi.Users","type":"module"},{"doc":"Returns a paginated list of Users for the workspace. The response may contain fewer than page_size of results. See Pagination for details about how to use a cursor to iterate through the list. Examples iex&gt; ThinNotionApi.Users . list_all_users ( params ) { :ok , %{ ... } }","ref":"ThinNotionApi.Users.html#list_all_users/1","title":"ThinNotionApi.Users.list_all_users/1","type":"function"},{"doc":"Retrieves a User using the ID specified. Examples iex&gt; ThinNotionApi.Users . retrieve_user ( &quot;12345&quot; ) { :ok , %{ ... } }","ref":"ThinNotionApi.Users.html#retrieve_user/1","title":"ThinNotionApi.Users.retrieve_user/1","type":"function"},{"doc":"Retrieves the bot User associated with the API token provided in the authorization header. The bot will have an owner field with information about the person who authorized the integration. Examples iex&gt; ThinNotionApi.Users . retrieve_user_bot ( ) { :ok , %{ ... } }","ref":"ThinNotionApi.Users.html#retrieve_user_bot/0","title":"ThinNotionApi.Users.retrieve_user_bot/0","type":"function"},{"doc":"ThinNotionApi is an Elixir package to easily communicate with the Notion API. The main objective to provide a simple straight forward way for a person to fetch or update information without a large or complex interface.","ref":"readme.html","title":"ThinNotionApi","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding thin_notion_api to your list of dependencies in mix.exs : def deps do [ { :thin_notion_api , &quot;~&gt; 1.0.1&quot; } ] end Next log in to the Notion Developers site. Visit My Integrations and create New Integration . After creating your integration, you should now have a Internal Integration Token you will use for all your Notion API requests. Make sure to keep this secret private and never leak it because at the moment you cannot regenerate a new one if compromised. Add your integration token and which Version of the Notion API you are using (if not provided, it will default to 2021-08-16 ) to config/config.exs: config :thin_notion_api , :api_key , System . get_env ( &quot;NOTION_API_KEY&quot; ) config :thin_notion_api , :notion_version , System . get_env ( &quot;NOTION_VERSION&quot; ) You are good to go.","ref":"readme.html#installation","title":"ThinNotionApi - Installation","type":"extras"},{"doc":"Retrieve information about a Notion database iex&gt; ThinNotionApi.Databases . retrieve_database ( database_id ) { :ok , %{ ... } } Retrieves a Page object using the ID specified. Responses contains page properties, not page content. To fetch page content, use the retrieve block children endpoint. iex&gt; ThinNotionApi.Pages . retrieve_page ( page_id ) { :ok , %{ ... } } Find all modules and functions you can use in the API Reference section . Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/thin_notion_api .","ref":"readme.html#usage","title":"ThinNotionApi - Usage","type":"extras"},{"doc":"[x] List database [x] Query database [x] Page object actions [x] Block actions [x] User actions [x] Search","ref":"readme.html#v2021-supported-features","title":"ThinNotionApi - v2021 Supported Features","type":"extras"},{"doc":"TODO: [ ] Support changes for 2022-06-28 [ ] Support changes for version 2022-02-22","ref":"readme.html#development-progress","title":"ThinNotionApi - Development Progress","type":"extras"},{"doc":"Validate documentation by generating using following command mix docs You can spin up a quick web server to host documentation if you have node installed by using the following command: npx http - serve doc Ensure version in the mix.exs has been properly incremented. If everything looks good, you can release by running. mix hex . publish","ref":"readme.html#release-process","title":"ThinNotionApi - Release Process","type":"extras"}]